Subject: Re: bug#21511: sed not performing as specified

From: Jim Meyering <[email-masked]>
Date: Sat, 19 Sep 2015 09:35:40 -0700

tags 21511 notabug
thanks

On Fri, Sep 18, 2015 at 1:39 AM, Davide Brini <[email-masked]> wrote:
...
>> "are" giving "Thare"; BUT the following two lines also have "is" replaced
>> by "are" EXCEPT for the "is" after "Thare". It is ALMOST as if I had
>> invoked the global: sed s/is/are/g test1 EXCEPT for the 2nd "is" after
>> "Thare"?
>
> Sed replaces the first instance of "is" in each line with "are". Nothing
> unexpected, no bug.

Thanks for responding Davide.
I'm responding to the bug-number address, but with "-done" inserted to
close the auto-created "issue": [email-masked].
I added the two lines at the top of this message to record in the
issue database that this is not a bug.